/* xrlogin.h - include file for xrlogin */

typedef struct {
    String hostfile;
    String ping;
    int timeout;
} AppData, *AppDataPtr;

static XtResource resources[] = {
    {
	"hostfile",
	"Hostfile",
	XtRString,
	sizeof(String),
	XtOffset(AppDataPtr, hostfile),
	XtRString,
	".xrlogin"
    },
    {
	"ping",
	"Ping",
	XtRString,
	sizeof(String),
	XtOffset(AppDataPtr, ping),
	XtRString,
	DEFAULT_PING
    },
    {
	"timeout",
	"Timeout",
	XtRInt,
	sizeof(int),
	XtOffset(AppDataPtr, timeout),
	XtRString,
	"5"
    }
};

static XrmOptionDescRec options[] = {
    {"-hostfile", "*hostfile", XrmoptionSepArg, NULL},
    {"-ping", "*ping", XrmoptionSepArg, NULL},
    {"-timeout", "*timeout", XrmoptionSepArg, NULL}
};
